import 'dart:collection';

class ExtraPropertiesManager {
  static const String USER_OPT_OUT_KEY = "user_opt_out";

  HashMap<String,dynamic> _extraProperties;

  ExtraPropertiesManager(HashMap<String,dynamic> extraProperties){
    if (extraProperties == null) {
      _extraProperties = new HashMap<String,dynamic>();
    } else {
      _extraProperties = extraProperties;
    }
  }

  HashMap<String,dynamic> getExtraProperties() {
    return _extraProperties;
  }

  put(String key, dynamic value) {
    _extraProperties[key] = value;
  }

  putIfAbsent(String key, dynamic value) {
    _extraProperties.putIfAbsent(key, value);
  }

}